#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=-format,-fortify,-stackprotector,-stackprotectorstrong
#export CXXFLAGS=
#export CFLAGS=
#export CPPFLAGS=
#export DEB_CFLAGS_SET=
#export DEB_CXXFLAGS_SET=
#export DEB_CPPFLAGS_SET=
PACKAGE_NAME = root-cds

CMAKE_ROOT_OPTS = -Druntime_cxxmodules=OFF  -Dthread=ON -Dshadowpw=ON -Dpythia8=ON -Dr=ON\
 -Dminuit2=ON -Dmathmore=ON -Ddataframe=ON -Ddcache=ON -Dfortran=ON -Dgfal=ON\
 -Dgsl_shared=ON -Dgviz=ON -Dmysql=ON -Dodbc=ON -Dopengl=ON -Dpgsql=ON -Dsoversion=ON\
 -Dtmva-rmva=ON -Dunuran=ON -Dvmc=ON -Dxrootd=ON -Dbuiltin_xrootd=ON -Dbuiltin_gsl=OFF\
 -Dgnuinstall=ON -Dimt=OFF -Ddavix=ON -Dmemstat=ON -Dbuiltin_vdt=OFF -Dvdt=ON\
 -Dbuiltin_llvm=ON -Dpyroot_legacy=ON -Dpyroot=ON -Dclad=OFF 

CMAKE_DEFS = -DCMAKE_INSTALL_PREFIX=/usr  -DCMAKE_CXX_STANDARD=11 -DVERBOSE=1\
 -DCMAKE_INCLUDE_CURRENT_DIR=1 -DCMAKE_FIND_ROOT_PATH=OFF -DCMAKE_BUILD_TYPE=Release

%:
	dh $@

override_dh_auto_configure:
	mkdir -p .build/pkg	
#	echo "CMAKE_INCLUDE_PATH=$$CMAKE_INCLUDE_PATH" && env && 
#	VERBOSE=1 CFLAGS="" CXXFLAGS="" CMAKE_FIND_ROOT_PATH= 
	cd .build/pkg && echo "CXXFLAGS=$$CXXFLAGS"\
 && echo "DEB_BUILD_OPTIONS=$$DEB_BUILD_OPTIONS"\
 && /usr/bin/cmake $(CURDIR) $(CMAKE_DEFS) $(CMAKE_ROOT_OPTS) -DPYTHON_EXECUTABLE=/usr/bin/python3 

override_dh_auto_build:
	cd .build/pkg && make -j 8

override_dh_auto_install:	
	cd .build/pkg && make install DESTDIR=$(CURDIR)/debian/$(PACKAGE_NAME) 
	mkdir -p debian/$(PACKAGE_NAME)/etc/ld.so.conf.d
	echo "/usr/lib/root" > debian/$(PACKAGE_NAME)/etc/ld.so.conf.d/zz_x86_64_root.conf

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/root
	
#override_dh_clean:
#	mkdir -p .build/pkg
#	cd .build/pkg && rm -rf
#	mkdir -p .build/pkg-py2
#	cd .build/pkg-py2 && rm -rf
